<html lang="en">
<head>
<title>Key and reserved words - Sketch</title>
<meta http-equiv="Content-Type" content="text/html">
<meta name="description" content="Sketch">
<meta name="generator" content="makeinfo 4.7">
<link title="Top" rel="start" href="index.html#Top">
<link rel="up" href="Language-basics.html#Language-basics" title="Language basics">
<link rel="prev" href="Identifiers.html#Identifiers" title="Identifiers">
<link rel="next" href="Literals.html#Literals" title="Literals">
<link href="http://www.gnu.org/software/texinfo/" rel="generator-home" title="Texinfo Homepage">
<!--
Copyright (C) 2005, 2006, 2007, 2008 Eugene K. Ressler.

This manual is for `sketch', version 0.2 (build 161),
Tuesday, September 08, 2009, a program that converts descriptions of simple
three-dimensional scenes into static drawings. This version generates
`PSTricks' or `PGF/TikZ' code suitable for use with the
TeX document processing system.

`Sketch' is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 3, or (at your option)
any later version.

Sketch is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with `sketch'; see the file COPYING.txt.  If not, see
http://www.gnu.org/copyleft.-->
<meta http-equiv="Content-Style-Type" content="text/css">
<style type="text/css"><!--
  pre.display { font-family:inherit }
  pre.format  { font-family:inherit }
  pre.smalldisplay { font-family:inherit; font-size:smaller }
  pre.smallformat  { font-family:inherit; font-size:smaller }
  pre.smallexample { font-size:smaller }
  pre.smalllisp    { font-size:smaller }
  span.sc { font-variant:small-caps }
  span.roman { font-family: serif; font-weight: normal; } 
--></style>
</head>
<body>
<div class="node">
<p>
<a name="Key-and-reserved-words"></a>Next:&nbsp;<a rel="next" accesskey="n" href="Literals.html#Literals">Literals</a>,
Previous:&nbsp;<a rel="previous" accesskey="p" href="Identifiers.html#Identifiers">Identifiers</a>,
Up:&nbsp;<a rel="up" accesskey="u" href="Language-basics.html#Language-basics">Language basics</a>
<hr><br>
</div>

<!-- node-name,  next,  previous,  up -->
<h4 class="subsection">3.1.2 Key and reserved words</h4>

<p><a name="index-keywords-171"></a>The keywords of <code>sketch</code> are <code>picturebox</code> <code>curve</code>
<code>def</code> <code>dots</code> <code>frame</code> <code>global</code> <code>input</code>
<code>line</code> <code>polygon</code> <code>put</code> <code>repeat</code> <code>set</code>
<code>sweep</code> and <code>then</code>.  The <code>sketch</code> parser will note a
syntax error if any of these are used in place of a proper identifier.

   <p>In addition, there are reserved words
<a name="index-reserved-words-172"></a>that can currently be defined by the user, but with the risk that
future versions of <code>sketch</code> will reject those definitions.  The
reserved words are <code>atan2</code> <code>cos</code> <code>inverse</code>
<code>perspective</code> <code>project</code> <code>rotate</code> <code>scale</code>
<code>sin</code> <code>special</code> <code>sqrt</code> <code>translate</code> <code>unit</code> and
<code>view</code>.

   </body></html>

